# docker image used to build the app
image python:3.10

stages:
  - install
  - test

before_script:
  - echo ${CI_PROJECT_DIR}
  - echo ${CI_COMMIT_REF_NAME}
  - export PATH=$PATH:/root/.local/bin
  - python3 -m pip install -U setuptools build pip
  - apt-get update -qq && apt_get install -y -qq bedtools
  - python3 -m pip install --user grannot@git+https://forge.ird.fr/diade/dynadiv/grannot.git@$CI_COMMIT_REF_NAME

test_install
  stage: install
  script:
    - grannot --version
#  tag:
#    - VM
  rules:
#    - if: $CI_COMMIT_TAG =~ "/^v.*rc/" # if commit tag starts with v
    - if: $CI_COMMIT_MESSAGE =~ "/.*-TEST.*/i" # test in commit message
